Roomability Guest API
  1. Paystack
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Paystack

Initialize

POST
https://guestapi.roomability.io/Paystack/Initialize
Last modified:2026-03-13 11:06:25

Retrieve Privacy Detail#

This endpoint retrieves the privacy policy of an hotel.

Request#

Method: GET
Endpoint: {{baseUrl}}/Privacy/Detail

Response#

The response for this request is a JSON object with the following schema:
{
  "type": "object",
  "properties": {
    "detail": {
      "type": "string"
    },
    "errorCode": {
      "type": "integer"
    },
    "errorMessage": {
      "type": "string"
    }
  }
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://guestapi.roomability.io/Paystack/Initialize' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "timothyojo@valinno.com",
    "amountinkobo": 200000,
    "currency": "NGN"
}'
Response Response Example
{
    "status": true,
    "message": "Authorization URL created",
    "data": {
        "authorization_Url": "https://checkout.paystack.com/kfx4ota680ptmpd",
        "access_Code": "kfx4ota680ptmpd",
        "reference": "sti58qbn3w"
    },
    "errorCode": 0,
    "errorMessage": "Access code retrieved successfully."
}
Modified at 2026-03-13 11:06:25
Previous
Verify
Next
Detail
Built with